<script setup lang="ts">
  const router = useRouter();
  const localePath = useLocalePath();
  const { appointmentId } = useAppointment();

  const rejoin = () => {
    router.push(
      localePath({
        name: 'presentation-appointmentId',
        params: { appointmentId: appointmentId.value as string },
      }),
    );
  };
</script>
<template>
  <RoomLayout
    :headline="$t('presentation.presentationNotFound.headline')"
    :sublime="$t('presentation.presentationNotFound.sublime')"
  >
    <template #icon>
      <span
        class="i-sw-custom:waiting-room?bg text-[22rem]/0 mb-8 max-h-[8rem] md:max-h-[16.375rem] md:text-[44rem]"
      />
    </template>
    <template #default>
      <SwButton class="mt-4" @click="rejoin">{{ $t('presentation.rejoin') }}</SwButton>
    </template>
  </RoomLayout>
</template>
